CREATE TABLE cmp_tcs_criteria_tag_info (
    CRITERIA_TAG_ID             NUMBER(18, 0) ,
    CRITERIA_DEF_ID             NUMBER(18, 0) ,
    CRITERIA_ID                 NUMBER(18, 0) ,
    ITEM_ID                     NUMBER(18, 0)     NOT NULL,
    ITEM_VALUE                  VARCHAR2(120)     NOT NULL,
    TRANSFORM_OPERATOR          VARCHAR2(120) ,
    TRANSFORM_NUM_VALUE         NUMBER        ,
    COMPARISON_OPERATOR         VARCHAR2(120)     NOT NULL,
    NUMERIC_COMPARISON_VALUE    NUMBER        ,
    TEXT_COMPARISON_VALUE       VARCHAR2(120) ,
    DATE_COMPARISON_VALUE       DATE          ,
    OPEN_PARENTHESES            VARCHAR2(80)  ,
    CLOSE_PARENTHESES           VARCHAR2(80)  ,
    CONJUNCTION_OPERATOR        VARCHAR2(80)  ,
    CRITERIA                    VARCHAR2(4000),
    ORDR_NUM                    NUMBER(9, 0)      NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    CRITERIA_TAG_ID             NUMBER(18, 0) ,
    CRITERIA_ID                 NUMBER(18, 0) ,
    ITEM_ID                     NUMBER(18, 0)     NOT NULL,
    ITEM_VALUE                  VARCHAR2(120)     NOT NULL,
    TRANSFORM_OPERATOR          VARCHAR2(120) ,
    TRANSFORM_NUM_VALUE         NUMBER        ,
    COMPARISON_OPERATOR         VARCHAR2(120)     NOT NULL,
    NUMERIC_COMPARISON_VALUE    NUMBER        ,
    TEXT_COMPARISON_VALUE       VARCHAR2(120) ,
    DATE_COMPARISON_VALUE       DATE          ,
    OPEN_PARENTHESES            VARCHAR2(80)  ,
    CLOSE_PARENTHESES           VARCHAR2(80)  ,
    CONJUNCTION_OPERATOR        VARCHAR2(80)  ,
    CRITERIA                    VARCHAR2(4000),
    ORDR_NUM                    NUMBER(9, 0)      NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    CRITERIA_DEF_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_cmp_tcs_criteria_tag_info PRIMARY KEY (CRITERIA_TAG_ID, CRITERIA_TAG_ID)
);
